Index: Makefile
===================================================================
RCS file: /cvsroot/olsrd/olsrd-current/Makefile,v
retrieving revision 1.57
diff -u -r1.57 Makefile
--- Makefile	14 Apr 2005 23:29:15 -0000	1.57
+++ Makefile	15 May 2005 16:57:04 -0000
@@ -145,6 +145,25 @@
 install: install_olsrd
 
 else
+ifeq ($(OS), obsd)
+
+#
+# OPENBSD SPECIFIC CONFIGURATION
+#
+
+INSTALL_PREFIX ?=
+
+SRCS +=         $(wildcard src/bsd/*.c) $(wildcard src/unix/*.c)
+HDRS +=         $(wildcard src/bsd/*.h) $(wildcard src/unix/*.h)
+CFLAGS ?=       $(CCWARNINGS) -O2 -g
+LIBS =          -lm
+MAKEDEPEND =    makedepend -f $(DEPFILE) -D__OpenBSD__ $(INCLUDES) $(SRCS)
+
+all:     cfgparser olsrd
+install: install_olsrd
+
+
+else
 ifeq ($(OS), osx)
 
 #
@@ -281,6 +300,7 @@
 endif
 endif
 endif
+endif
 
 #
 # END OF OS SPECIFIC STUFF
Index: src/main.c
===================================================================
RCS file: /cvsroot/olsrd/olsrd-current/src/main.c,v
retrieving revision 1.77
diff -u -r1.77 main.c
--- src/main.c	15 May 2005 13:43:34 -0000	1.77
+++ src/main.c	15 May 2005 16:57:05 -0000
@@ -474,7 +474,7 @@
   /* ioctl socket */
   close(ioctl_s);
 
-#if defined __FreeBSD__ || defined __MacOSX__ || defined __NetBSD__
+#if defined __FreeBSD__ || defined __MacOSX__ || defined __NetBSD__ || defined __OpenBSD__
   /* routing socket */
   close(rts);
 #endif
Index: src/bsd/net.c
===================================================================
RCS file: /cvsroot/olsrd/olsrd-current/src/bsd/net.c,v
retrieving revision 1.20
diff -u -r1.20 net.c
--- src/bsd/net.c	20 Mar 2005 16:52:25 -0000	1.20
+++ src/bsd/net.c	15 May 2005 16:57:05 -0000
@@ -49,8 +49,13 @@
 #endif
 
 #include <net/if.h>
-#include <net/if_var.h>
+
+#ifdef __OpenBSD__
+#include <netinet/if_ether.h>
+#else
 #include <net/ethernet.h>
+#include <net/if_var.h>
+#endif
 
 #ifdef __FreeBSD__
 #include <net80211/ieee80211.h>
Index: src/unix/ifnet.c
===================================================================
RCS file: /cvsroot/olsrd/olsrd-current/src/unix/ifnet.c,v
retrieving revision 1.25
diff -u -r1.25 ifnet.c
--- src/unix/ifnet.c	7 Mar 2005 19:17:02 -0000	1.25
+++ src/unix/ifnet.c	15 May 2005 16:57:05 -0000
@@ -40,7 +40,7 @@
  */
 
 
-#if defined __FreeBSD__ || defined __MacOSX__ || defined __NetBSD__
+#if defined __FreeBSD__ || defined __MacOSX__ || defined __NetBSD__ || defined __OpenBSD__
 #define ifr_netmask ifr_addr
 #endif
 
